<template>
  <div>
    <ValidaSessao/>
    <Menu/>
    <p style="padding: 0 20px 0 20px" class="title">Gerenciar Usuários</p>
    <form class="box" style="margin: 20px">
      <div
          style="
          display: flex;
          justify-content: flex-end;
          align-items: center;
          margin-bottom: 0.8rem;
          "
      >
          <router-link
          :to="{
          name: 'usuario.novo'
          }"
          >
          <b-button type="is-success">Novo</b-button>
          </router-link>
      </div>
      <b-table :data="usuarios" v-if="usuarios.length">
          <b-table-column :centered="true" label="Nome" sortable v-slot="props">
          {{ props.row.nome }}
          </b-table-column>
          <b-table-column :centered="true" label="CPF" sortable v-slot="props">
          {{ cpf(props.row.cpf) }}
          </b-table-column>
          <b-table-column
          custom-key="actions"
          label="Ações"
          cell-class="is-actions-cell"
          v-slot="props"
          >
          <div class="buttons is-center">
              <router-link
              :to="{
                  path: `/usuarios/editar/${props.row.id}`
              }"
              >
              <button class="button is-small is-info">Editar</button>
              <!--<b-icon
                  icon="settings"
                  custom-size="default"
                  data-toggle="tooltip"
                  data-placement="top"
                  title="Editar Usuário"
              />-->
              </router-link>
          </div>
          </b-table-column>
      </b-table>
      <div v-else>
          <p>Nenhum Registro encontrado</p>
      </div>
      <hr />
    </form>
    <Footer/>
  </div>
</template>

<script>

import Menu from '../../../Menu.vue'
import Footer from '../../../Footer.vue'
import ValidaSessao from '../../../ValidaSessao.vue'
import axios from 'axios'
// import CardComponent from '@/components/CardComponent'
export default {
  components: {
    ValidaSessao,
    Menu,
    Footer
  },
  data () {
    return {
      bemol_dadosUsuario: null,
      titulo: 'Usuários',
      usuarios: []
      // columns: [
      //   {
      //     field: this.usuarios.nome,
      //     label: 'Nome',
      //     centered: true
      //   },
      //   {
      //     field: this.usuarios.cpf,
      //     label: 'CPF',
      //     centered: true
      //   }
      // ]
    }
  },
  computed: {
    titleStack () {
      return ['', 'Gerenciar Usuários']
    }
  },
  methods: {
    cpf (str) {
      return str.substring(0, 3) + '.' + str.substring(3, 6) + '.' + str.substring(6, 9) + '-' + str.substring(9)
    },
    listarUsuarios () {
      axios
        .get('http://localhost:8000/api/usuario/listar', {
          headers: {
            Authorization: 'Bearer ' + this.bemol_dadosUsuario.token
          }
        }).then((response) => {
          response.data.forEach((usuario) => {
            this.usuarios.push({
              id: usuario.id,
              nome: usuario.nome,
              cpf: usuario.cpf
            })
          })
        })
    }
  },
  mounted () {
    this.bemol_dadosUsuario = JSON.parse(localStorage.getItem('bemol_dadosUsuario'))
    this.listarUsuarios()
  }
}
</script>
